Skip to main content
GET
List subscriptions

Editor interactivo de filter

Utiliza este editor para generar un valor que puedes usar en el parámetro filter del query string. Para relaciones, grupos lógicos y más ejemplos, consulta la guía de filtros.

Authorizations

Authorization
string
header
required

Organization API key using Authorization: Bearer sk_....

Query Parameters

filter
object

Filter fields encoded with qs bracket notation.

skip
number
default:0

Pagination offset.

Required range: x >= 0
Example:

0

take
number
default:20

Pagination limit.

Required range: 1 <= x <= 100
Example:

20

orderBy
object

Sort fields encoded with qs bracket notation.

Response

Subscriptions list

id
string
required

Unique identifier of the subscription.

Example:

"sub_1234567890abcdefghij"

createdAt
required

Date and time when the subscription was created.

Example:

"2025-01-01T06:00:00.000Z"

updatedAt
required

Date and time when the subscription was last updated.

Example:

"2025-01-01T06:00:00.000Z"

description
string | null
required

Human-readable description of the subscription.

Example:

"Colegiatura mensual"

customerId
string
required

Identifier of the customer this subscription belongs to.

Example:

"cus_1234567890abcdefghij"

collectionMethod
enum<string>
required

How payment is collected: AUTOMATIC, SEND_REMINDER, or NONE.

Available options:
AUTOMATIC,
SEND_REMINDER,
NONE
Example:

"AUTOMATIC"

paymentMethodId
string | null
required

Identifier of the payment method used for automatic collection.

Example:

"pm_1234567890abcdefghij"

taxProfileId
string | null
required

Identifier of the tax profile used for invoice generation.

Example:

null

nextCollectionDate
required

Date and time of the next scheduled collection.

Example:

"2025-02-01T06:00:00.000Z"

firstCollectionDate
required

Date and time of the first collection.

Example:

"2025-01-01T06:00:00.000Z"

lastCollectionDate
required

Date and time of the last collection, if set.

Example:

"2025-12-01T06:00:00.000Z"

generationMode
enum<string>
required

Whether invoices are generated manually or automatically.

Available options:
MANUAL,
AUTO
Example:

"AUTO"

onlyAutomaticCollection
boolean
required

Whether only automatic collection is allowed.

Example:

false

customCancelReason
string | null
required

Custom cancellation reason provided by the user.

Example:

null

canceledAt
required

Date and time when the subscription was canceled.

Example:

null

canceledById
string | null
required

Identifier of the user who canceled the subscription.

Example:

null

isActive
boolean
required

Whether the subscription is currently active.

Example:

true

isCompleted
boolean
required

Whether the subscription has completed all scheduled collections.

Example:

false

status
enum<string> | null

Current status: INACTIVE, ACTIVE, CANCELED, or COMPLETED.

Available options:
INACTIVE,
ACTIVE,
CANCELED,
COMPLETED,
null
Example:

"ACTIVE"

metadata
object | null

Flattened metadata map where each key maps to a string value.

Example:
meta
object | null

Flattened metadata map where each key maps to a string value.

Example: